/*
 * line.h
 *
 *  Created on: Sep 3, 2016
 *      Author: zeil
 */

#ifndef LINE_H_
#define LINE_H_

#include "point.h"

class Line {
public:
  Point p1;
  Point p2;

  Line() {}

  Line (Point thruPoint1, Point thruPoint2);

  double y(int x) const;
  double x(int y) const;

  bool crossesSegment (const Line& segment);

private:
  bool bounded (double v, double v1, double v2) const;

};




#endif /* LINE_H_ */
